Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.ax25
Interface TrackerListener

All Known Implementing Classes:
  AlohaTracker, HeardStationsTableModel, MessageModel, MonitoredStationList, ObjectPacketModel, ObjectReportSender, PopupStationWindow, SendingStationFilter, StationListViewer, StationRenderer, SymbolFilter, TelemetryModel

    public interface TrackerListener

This interface defines events that can occur when the StationTracker class is updated with new node information.

Method Summary
`void` | `messageAdded(StationState ss, int index, AX25Message msg)` Called when a AX25Message is added to the history for a station in the tracker.
`void` | `messageDeleted(StationState ss, int index, AX25Message msg)` Called when a AX25Message is deleted from the history for a station in the tracker.
`void` | `stationAdded(StationState ss, int index)` Called when a new station is initially added to the tracker.
`void` | `stationDeleted(StationState ss, int index)` Called when an existing station is deleted from the tracker.
`void` | `stationUpdated(StationState ss)` Called when an existing station is updated with new information in the tracker.

Method Detail

### stationAdded

    void stationAdded(StationState ss,
                      int index)

  Called when a new station is initially added to the tracker.

  Parameters:
    `ss` - StationState containing the station's information; the initial AX25Message will not yet be stored within the StationState object
    `index` - zero-based integer sequence number for this station in the StationTracker

### stationUpdated

    void stationUpdated(StationState ss)

  Called when an existing station is updated with new information in the tracker.

  Parameters:
    `ss` - StationState containing the station's information; the new AX25Message will not yet be stored within the StationState object

### stationDeleted

    void stationDeleted(StationState ss,
                        int index)

  Called when an existing station is deleted from the tracker.

  Parameters:
    `ss` - StationState containing the station's information
    `index` - zero-based integer sequence number for this station in the StationTracker

### messageAdded

    void messageAdded(StationState ss,
                      int index,
                      AX25Message msg)

  Called when a AX25Message is added to the history for a station in the tracker.

  Parameters:
    `ss` - StationState containing the station's information
    `index` - zero-based index of the message added to the StationState object
    `msg` - APRS Message object being added to the tracker; note that non-APRS packets that can still be decoded (such as OpenTRAC) will also be passed here; AX25Frames that cannot be decoded will pass null here

### messageDeleted

    void messageDeleted(StationState ss,
                        int index,
                        AX25Message msg)

  Called when a AX25Message is deleted from the history for a station in the tracker.

  Parameters:
    `ss` - StationState containing the station's information; the AX25Message will already be removed from the StationState object
    `index` - zero-based index of the message removed from the StationState object
    `msg` - APRS Message object being removed from the tracker; note that non-APRS packets that can still be decoded (such as OpenTRAC) will also be passed here; AX25Frames that cannot be decoded will pass null here

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD